import numpy as np
import matplotlib.pyplot as plt

ff, sr1, sr2, da1, da2 = np.loadtxt('SrclWhiteNoise.txt', unpack=1)
sr = np.sqrt(np.abs(sr1**2-sr2**2))
da = np.sqrt(np.abs(da1**2-da2**2))
tf = da/sr
np.savetxt('SrclWhiteNoiseTf.txt', tf)

plt.clf()
plt.loglog(ff, tf)
plt.xlabel('Frequency [Hz]')
plt.ylabel('Magnitude [m/ct]')
plt.title(r'SRCL output $\rightarrow$ DARM')
plt.xlim(9, 600)
plt.ylim(1e-22, 1e-14)
plt.savefig('SrclWhiteNoiseTf.pdf')
